using System;
using Cute;
using HarmonyLib;

namespace SVSimLoader.Patches;

[HarmonyPatch]
public static class UrlPatches
{
    [HarmonyPatch(typeof(CustomPreference), nameof(CustomPreference.GetApplicationServerURL))]
    [HarmonyPrefix]
    public static bool GetApplicationServerURL(ref string __result)
    {
        __result = SvSimConfig.ApplicationUrl;
        return false;
    }
}